import Point from '../Point';
import Document from '../Document';
import Translate from './Translate';
import Rotate from './Rotate';
import Scale from './Scale';
import Matrix from './Matrix';
import Skew from './Skew';
import SkewX from './SkewX';
import SkewY from './SkewY';
export { Translate, Rotate, Scale, Matrix, Skew, SkewX, SkewY };
export default class Transform {
    private readonly document;
    static transformTypes: {
        translate: typeof Translate;
        rotate: typeof Rotate;
        scale: typeof Scale;
        matrix: typeof Matrix;
        skewX: typeof SkewX;
        skewY: typeof SkewY;
    };
    private readonly transforms;
    constructor(document: Document, transform: string);
    apply(ctx: RenderingContext2D): void;
    unapply(ctx: RenderingContext2D): void;
    applyToPoint(point: Point): void;
}
//# sourceMappingURL=Transform.d.ts.map